import { Injectable } from "@angular/core";
import { Hotel } from "../../HotelItem/hotel";
import { from, Observable } from "rxjs";

@Injectable()
export class HotelService {
  public getHotels(): Observable<Hotel> {
    return from([
      {
        "id": 1,
        "hotelName": "Buea süßes Leben",
        "description": "Schöne Aussicht am Meer",
        "price": 230.5,
        "imageUrl": "assets/img/1.jpg",
        "rating": 3.5,
        "tags": ["test"]
      },
      {
        "id": 2,
        "hotelName": "Marrakesch",
        "description": "Genießen Sie den Blick auf die Berge",
        "price": 145.5,
        "imageUrl": "assets/img/2.jpg",
        "rating": 5,
        "tags": ["test"]
      },
      {
        "id": 3,
        "hotelName": "Abuja neuer Palast",
        "description": "Kompletter Aufenthalt mit Autoservice",
        "price": 120.12,
        "imageUrl": "assets/img/3.jpg",
        "rating": 4,
        "tags": ["test"]
      },
      {
        "id": 4,
        "hotelName": "Kapstadt Stadt",
        "description": "Wunderschönes Ambiente für Ihren Aufenthalt",
        "price": 135.12,
        "imageUrl": "assets/img/4.jpg",
        "rating": 2.5,
        "tags": ["test"]
      }
    ]);
  }
}
