{
  name = "hotel-manager";

  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs?ref=nixos-unstable";
  };

  packages = [
    pkgs.nodePackages."@angular/cli"
    pkgs.git
    pkgs.bun
  ];

  services.ng-serve = {
    description = "Angular Development Server";
    start = ''
      echo "Starting Angular server..."
      ng serve --host 0.0.0.0 --port 4200
    '';
    restartIfChanged = true;
    after = [ "network-online.target" ];
  };
}
